Subject: Re: [PATCH net-next] kcm: do not attach sockets if sk_user_data is already used

From: Eric Dumazet <[email-masked]>
Date: Tue, 16 Jan 2018 09:10:59 -0800

On Tue, 2018-01-16 at 11:44 +0100, Guillaume Nault wrote:
> 
> Tom, if I understand KCM correctly, it only makes sense to attach it to
> SOCK_STREAM sockets. Shouldn't that be enforced? Maybe we should
> restrict it even further, so that only known KCM-safe sockets could be
> attached (that is, reject anything that isn't AF_INET* | SOCK_STREAM).

I believe I asked the same question months ago. I had no answer.

https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git/comm
it/?id=351050ecd6523374b370341cc29fe61e2201556b

Not sure if anyone uses KCM, other than fuzzers ?